Sign in to follow this  
Followers 0
AHWULF

Anyone NOT have a Core2Duo or better?

13 posts in this topic

...that can still play 1.31?

I can tune the app for Core2Duo and get a more optimized build (for the CPU side of things).

I think these are the ones:

MacBook Pro: Before late 2006

MacBook: Before late 2006

iMac: Before late 2006

Mac Mini: Before mid 2007

It's unlikely these would be usable anyway. These are also not really functional with Snow Leopard either.

Share this post


Link to post
Share on other sites
...that can still play 1.31?

I can tune the app for Core2Duo and get a more optimized build (for the CPU side of things).

I think these are the ones:

MacBook Pro: Before late 2006

MacBook: Before late 2006

iMac: Before late 2006

Mac Mini: Before mid 2007

It's unlikely these would be usable anyway. These are also not really functional with Snow Leopard either.

I think that you can drop Core Solo support (early intel macmini). Doubt someone would ever try to launch such a resource hog on it :)

BTW, what kind of optimization you do thinking about? could you please give exact compiler flags you do think to use?

Share this post


Link to post
Share on other sites
...that can still play 1.31?

I can tune the app for Core2Duo and get a more optimized build (for the CPU side of things).

I think these are the ones:

MacBook Pro: Before late 2006

MacBook: Before late 2006

iMac: Before late 2006

Mac Mini: Before mid 2007

It's unlikely these would be usable anyway. These are also not really functional with Snow Leopard either.

Ahwulf, may be its worth to make another poll?

Usually for a lazy person its easier to click to radiobutton, then to enter soem text

Share this post


Link to post
Share on other sites

-mtune=core2

maybe some others as well (GCC has a bunch of things I never knew existed)

I thought of a poll but I'm just seeing if anyone objects.

Share this post


Link to post
Share on other sites
-mtune=core2

maybe some others as well (GCC has a bunch of things I never knew existed)

I thought of a poll but I'm just seeing if anyone objects.

Well, if you gonna use "-mtune", then resulting code would not be prevented from running on the older CPUs.

mtune only change instruction scheduling, making it more favorable to the target CPU, but do not introduce any instructions which are not present in Core Duo

Share this post


Link to post
Share on other sites

The new 27 iMacs are very nice. However ATM Apple has stopped selling them to fix a display problem.

Share this post


Link to post
Share on other sites
The new 27 iMacs are very nice. However ATM Apple has stopped selling them to fix a display problem.

My IMAC 27 works great

2.8 I7 Quad Core

8gb ddr3

ATI Radeon HD 4850:

Share this post


Link to post
Share on other sites

I have a 20" g5 but would not try to play the game on it. I also have a 24" E8400 C2D iMac with a ATI 2600 pro for video. Do you think that one will be able to game?

I usually do not play on my Macs tho, cept in the early morning when I am drinking my coffee in the kitchen where the 24" resides. I normally game on one of my 6 PCs during the evening and weekends.

Share this post


Link to post
Share on other sites
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.